use bevy::prelude::*;

use crate::sim::prelude::*;

#[derive(Event, Debug)]
pub struct OnSiteLoad {
    pub site: SiteId,
}

#[derive(Component, Debug, Reflect)]
#[reflect(Component)]
pub struct SiteScene(pub SiteId);

impl Default for SiteScene {
    fn default() -> Self {
        Self(SiteId::PLACEHOLDER)
    }
}

#[derive(Component, Default, Debug, Reflect)]
#[reflect(Component)]
#[require(Transform)]
pub struct SiteEntrance;
